package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_审核意见对象 zsyz_shyj
 * 
 * @author 博曼
 * @date 2023-02-22
 */
public class ZsyzShyj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 审核人id */
    @Excel(name = "审核人id")
    private Long shrId;

    /** 审核人姓名 */
    @Excel(name = "审核人姓名")
    private String shrxm;

    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String xmjd;

    /** 审核结果（是否通过  1：通过，2：拒绝） */
    @Excel(name = "审核结果", readConverterExp = "是=否通过,1=：通过，2：拒绝")
    private String shjg;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String shyj;

    /** 审核时间 */
    @Excel(name = "审核时间")
    private String shsj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setShrId(Long shrId) 
    {
        this.shrId = shrId;
    }

    public Long getShrId() 
    {
        return shrId;
    }
    public void setShrxm(String shrxm) 
    {
        this.shrxm = shrxm;
    }

    public String getShrxm() 
    {
        return shrxm;
    }
    public void setXmjd(String xmjd) 
    {
        this.xmjd = xmjd;
    }

    public String getXmjd() 
    {
        return xmjd;
    }
    public void setShjg(String shjg) 
    {
        this.shjg = shjg;
    }

    public String getShjg() 
    {
        return shjg;
    }
    public void setShyj(String shyj) 
    {
        this.shyj = shyj;
    }

    public String getShyj() 
    {
        return shyj;
    }
    public void setShsj(String shsj) 
    {
        this.shsj = shsj;
    }

    public String getShsj() 
    {
        return shsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("shrId", getShrId())
            .append("shrxm", getShrxm())
            .append("xmjd", getXmjd())
            .append("shjg", getShjg())
            .append("shyj", getShyj())
            .append("shsj", getShsj())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
